gdl

Description:GNU Data Language
License: GPL-2
Homepage:https://github.com/gnudatalanguage/gdl
Location:Portage
Legend:
  • + - stable
  • ~ - unstable
  • M - hardmask
alpha amd64 arm hppa ia64 m68k mips ppc ppc64 s390 sh sparc x86
1.0.0_rc3 - ~ - - - - - - - - - - ~

USE flags

  • eigen - Build matrix manipulation with dev-cpp/eigen
  • fftw - Use FFTW library for computing Fourier transforms
  • glpk - Use GNU Linear Programming Kit sci-mathematics/glpk
  • graphicsmagick - Build and link against GraphicsMagick instead of ImageMagick (requires USE=imagemagick if optional)
  • gshhs - Add support for projection adn continent maps with sci-geosciences/gshhs-data
  • hdf - Add support for the Hierarchical Data Format v.4
  • hdf5 - Add support for the Hierarchical Data Format v5
  • imagemagick - Enable optional support for the ImageMagick or GraphicsMagick image converter
  • netcdf - Enable NetCDF data format support
  • openmp - Build support for the OpenMP (support parallel computing), requires >=sys-devel/gcc-4.2 built with USE="openmp"
  • png - Add support for libpng (PNG images)
  • postscript - Enable support for the PostScript language (often with ghostscript-gpl or libspectre)
  • proj - Add support for sci-libs/proj (geographic projections)
  • python - Add optional support/bindings for the Python language
  • python_targets_python2_6 - Build with Python 2.6 (removed)
  • python_targets_python2_7 - Build with Python 2.7
  • python_targets_python3_6 - Build with Python 3.6
  • python_targets_python3_7 - Build with Python 3.7
  • python_targets_python3_8 - Build with Python 3.8
  • python_targets_python3_9 - Build with Python 3.9
  • static-libs - Build static versions of dynamic libraries as well
  • test - Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled independently)
  • tiff - Add support for the TIFF image format
  • udunits - Add support for manipulating units of physical quantities
  • wxwidgets - Add support for wxWidgets/wxGTK GUI toolkit
  • X - Add support for X11

Also available in: Atom

Thank you!